/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/*Allgemeine Klassen*/

.inside-header {position: relative;}

.margin-top {margin-top: 1em;}
.small {font-size: 80%;}
.border-grey img {border: 1px solid #eee;}

/*Später wieder löschen*/
/*#media_image-2 img {width: 100%;}*/

/*Farben*/

.blue {color: #009ee3;}

/*Allgemeines Layout*/

.home .site-content {padding-top: 0 !important;}
.paged .site-content {padding-top: 30px !important;}

#primary ul, #primary ol {margin-left: 20px;}
#primary ul.wp-block-gallery{margin-left: 0;}
.page .widget ul {margin-left: 20px;margin-bottom: 1.5em;}
#primary ul li, #primary ol li, .page .widget ul li {margin-bottom: 0.5em;}

.page .widget ul li {list-style-type: disc;}

h1, h2 {font-weight: 500;}

.post-image img {border: 1px solid #ccc;}

main a, aside a {font-weight: 500;}

.metaslider {margin: 0px auto;}

.paged .metaslider {display: none;}

.page-content, .entry-content, .entry-summary {margin: 1.5em 0 0;}

form#login {max-width: 600px;}
#log_forms{border: none;padding: 0;}
div.log-form-group {margin-bottom: 20px;;padding: 0;}

/*CTA*/

.cta {
    text-align: center;
    margin: 0;}

.cta-header {position: absolute;}

.left {text-align: left !important;}

.cta, .wp-block-file {
	padding-top: 20px;
    padding-bottom: 35px;}

#content .cta a:link, #content .cta a:visited, .wp-block-file .wp-block-file__button:link, .wp-block-file .wp-block-file__button:visited  {
    border: 1px solid #009ee3;
    transition: all 0.2s ease-in-out 0s;
    font-weight: 400;
    color: #fff;
    background: #009ee3;
    text-decoration: none;
    padding: 10px 25px;}

#content .cta a:hover, #content .cta a:active, .wp-block-file .wp-block-file__button:hover, .wp-block-file .wp-block-file__button:active {
    background: #fff;
    color: #009ee3 !important;}

.wp-block-file a.wp-block-file__button:link, .wp-block-file a.wp-block-file__button:visited {
	border-radius: 0;
    font-size: inherit;}

.cta-header a:link, .cta-header a:visited {
    transition: all 0.2s ease-in-out 0s;
    font-weight: 400;	
    text-decoration: none;
	color: #fff;
	background: #009ee3;
	border: 1px solid #2c599b;}

.cta-header a:hover, .cta-header a:active {
	background: #4bbff2;}

.wp-block-file .wp-block-file__button {
	border-radius: 0;
	color: #fff;
    font-size: inherit;}

input[type=checkbox], input[type=radio] {
	/* Double-sized Checkboxes */
	-ms-transform: scale(2); /* IE */
	-moz-transform: scale(2); /* FF */
	-webkit-transform: scale(2); /* Safari and Chrome */
	-o-transform: scale(2); /* Opera */
	transform: scale(2);
	margin-right: 10px;}

span.wpcf7-list-item {margin-left: 8px;}

/*Titel und Untertitel vertauschen*/

div.site-branding {
	display: flex;
	flex-direction: column;}

.main-title {order: 2;}
p.site-description {order: 1;}

/*Seiten Titel nicht fett*/
.site-branding .main-title {font-weight: 400;}

/*Elemente verstecken*/

.elementtohide {
	position: absolute;
	top: -9999px;
	left: -9999px;
	width: 0;
	height: 0;
	font-size: 0;
	line-height: 0;}

.oeffnungszeiten {border: none;margin-bottom: 0;}
.oeffnungszeiten td {padding: 0 0 5px 0;border: none;}

/*Logo*/

.inside-header {display: flex;}
.logo img {display: block;}

/*Sidebar*/

.one-container .sidebar .widget , .page .sidebar .widget {
	padding: 10px 15px 15px 15px;
	background: #fafafa;
	border: 2px solid #009ee3;}

.one-container.right-sidebar .site-main {margin-right: 0;}

.no-sidebar #primary {flex: 0 1 100%;margin-right: 0;}

.widget_categories {text-transform: uppercase;}

/*Team*/

div.team-columns {display: flex;flex-wrap: wrap;}

@media (max-width: 499px) {div.team-columns {flex-direction: column;} }

@media (min-width: 500px) {.team-column {flex-basis: calc(50% - 16px);margin-right: 16px;}}

@media (min-width: 800px) {.team-column {flex-basis: calc(33% - 20px);margin-right: 20px;}}

@media (min-width: 1200px) {.team-column {flex-basis: calc(25% - 25px);margin-right: 25px;}}

/*Notfälle*/

.page-id-2005 .h2-notfall {margin-top: 60px;}

.page-id-2005 h2:nth-child(2) {margin-top: 0;} 

.notfallbild-start img {margin-bottom: 20px !important;}

/*Termine*/

.page-id-1761 .entry-content h2 {margin-bottom: 0.2rem;}
.page-id-1761 #content .datum {margin-bottom: 0.2rem;font-weight: bold;font-size: 110%;}
.page-id-1761 #content .uhrzeit{margin-bottom: 0.2rem;font-size: 85%;}
.page-id-1761 #content .ort{margin-bottom: 0.4rem;}
/*Sticky Footer*/

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

#page {flex: 1 1 auto;}

.container.grid-container {width: 100%;}

.page-id-1894 .entry-content>:last-child {margin-bottom: 20px;}

/*Navi bis 999px*/

@media (max-width: 999px) {
	.main-navigation .menu-toggle,
	.main-navigation .mobile-bar-items,
	.sidebar-nav-mobile:not(#sticky-placeholder) {
		display: block;}

	.main-navigation ul,
	.gen-sidebar-nav {display: none;}

	[class*="nav-float-"] .site-header .inside-header > * {
		float: none;
		clear: both;}
	
	button.menu-toggle {width: 200px;}
	.menu-toggle, .main-navigation .mobile-bar-items a {line-height: 45px;}
}

/*ab 769px*/

@media (min-width: 769px) and (max-width:1700px) {
	
body .grid-container {
	margin-left: 40px;
	margin-right: 40px;}
	
.container.grid-container {width: calc(100% - 80px);}

}

/*bis 599*/
@media (max-width: 599px) {
	
#right-sidebar {margin-top: 20px;margin-bottom: 20px;}
	
h2.h1-start, h1 {margin-top: 30px;}
.no-sidebar h1 {margin-top: 0;} 
	
.post-image, aside img {max-width: 400px;}
	
.one-container .sidebar, .page .sidebar  {margin-top: 0;}
	
	#content table, #content tr, #content th, #content td {display: block;border: none;}
	#content th, #content td {padding: 0;}
	#content tr {margin-bottom: 1.5rem;}
}

/*bis 899*/
@media (max-width: 899px) {
#content {display: flex;flex-direction: column;}
.wp-block-gallery .blocks-gallery-image, .wp-block-gallery .blocks-gallery-item {width: 100% !important;margin: 0 0 15px 0;}

}

@media (min-width: 600px) and (max-width:899px) {
#content {flex-direction: row;}	

#primary {flex: 0 1 49%;margin-right: 2%;}
#right-sidebar {flex: 0 1 49%;}
	
.one-container .sidebar, .page .sidebar  {margin-top: 50px;}
	

}


/*ab 900px*/

@media (min-width: 900px) {
	
#content, .wp-block-columns {display: flex;}

/*Blog Kacheldesign*/

.blog main, .archive main, .search main {display: flex;flex-wrap: wrap;}
	
.blog .paging-navigation, .archive .paging-navigation, .search .paging-navigation, .archive header.page-header, .search header.page-header, .home header.page-header {flex: 0 1 100%;}

	
}

@media (min-width: 900px) and (max-width:1199px) {
div.shariff {margin-top: 50px;}	
}

@media (min-width: 900px) and (max-width:1199px) {
	
.row {padding-bottom: 30px;}
	
#primary {flex: 0 1 64.2%;margin-right: 1.2%;}
#right-sidebar {flex: 0 1 34.6%;}
	
.single #primary {flex: 0 1 62%;margin-right: 3.4%;}
	
.blog article, .archive article, .search article {flex: 0 1 49%;margin-right: 2%;}

.blog article:nth-child(2n+1), .archive article:nth-child(2n+1), .search article:nth-child(2n+1) {margin-right:0;}
	
.one-container .sidebar, .page .sidebar {margin-top: 50px;}
	
}

@media (min-width: 1000px) and (max-width:1199px) {
	body.page-id-417 #primary, body.page-id-1761 #primary, body.page-id-2005 #primary {flex: 0 1 63.4%;margin-right: 2%;}
	body.page-id-417 #right-sidebar, body.page-id-1761 #right-sidebar, body.page-id-2005 #right-sidebar {flex: 0 1 34.6%;}	
	#primary-menu a {font-size: 1.2rem;}
}

@media (max-width: 999px) {
	body.page-id-417 #content, body.page-id-1761 #content, body.page-id-2005 #content {display: block;}
	body.page-id-417 #right-sidebar, body.page-id-1761 #right-sidebar, body.page-id-2005 #right-sidebar {flex: 0 1 100%;}
}

/*ab 1200px*/

@media (min-width: 1200px) {
	
 .dropdown-click .main-navigation ul li:hover > ul, .main-navigation ul li ul:hover {
    left: auto;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
    height: auto;
    overflow: visible;}
	
.dropdown-click .menu-item-has-children.sfHover>a .dropdown-menu-toggle:before {
    content: "\f107";}
	
.col-50 {flex: 0 1 50%;margin-right:4%;}
.col-60 {flex: 0 1 60%;margin-right:4%;}
.col-80 {flex: 0 1 80%;margin-right:4%;}
.col-40 {flex: 0 1 40%;margin-right:4%;}
.col-70 {flex: 0 1 70%;margin-right:4%;}
.col-30 {flex: 0 1 33%;margin-right:4%;}
.col-20 {flex: 0 1 20%;margin-right:4%;}
.col-25 {flex: 0 1 25%;margin-right:4%;}

/*.has-2-columns div:last-child, .has-3-columns div:last-child, .has-4-columns div:last-child, .has-5-columns div:last-child {margin-right: 0;}*/
	

/*Aside*/
	
#primary, body.page-id-417 #primary, body.page-id-1761 #primary, body.page-id-2005 #primary, body.page-id-4672 #primary {flex: 0 1 72.6%;margin-right: 1.6%;}
#right-sidebar {flex: 0 1 25.8%;}
	
.single #primary {flex: 0 1 70%;margin-right: 4.2%;}
	
.one-container .sidebar .widget, .page .sidebar .widget {padding: 15px 20px 20px 20px;}
	
/*Blog Kacheldesign*/
	

.blog article, .archive article, .search article {flex: 0 1 32%;margin-right: 2%;}
	
.blog article:nth-child(3n+1), .archive article:nth-child(3n+1), .search article:nth-child(3n+1) {margin-right: 0;}

/*.blog .read-more-container, footer.entry-meta, .byline {display: none;}*/

.blog article, .archive article, .search article {background: #fff;} /*vorübergehend eingefärbt*/

}


/*Small größerer Bereich*/
@media screen and (min-width:600px) and (max-width:1199px) {

/*#content img, .wp-block-columns img, div.post-image {width: 70%;}*/
/*div.post-image img {width: 100%;display:block;}*/

}

@media (max-width:1199px) {
.single .wp-block-columns, .page .wp-block-columns {width: 100%;}
.inside-header {padding: 10px 0px 10px 0px;}
.logo img {width: 130px;}
.site-branding {margin: 40px 0 0 20px;}
.site-branding .main-title {font-size: 1.6rem;}	
p.site-description {font-size: 1.1rem;}
	
.cta-header {top: 17px; right: 0;}
.cta-header a {padding: 8px 10px;font-size: 1rem;}	
}

@media (max-width: 768px) {
.logo img {width: 80px;margin-left: 20px;}
.inside-header {display: block;}
.site-header {text-align: left;}
p.site-description {font-size: 1rem;}
.site-branding .main-title {font-size: 1.2rem;}	
.site-branding {margin: 0 0 0 20px;}
.inside-header>:not(:last-child):not(.main-navigation) {margin-bottom: 6px;}
.cta-header {top: 40px; right: 20px;}
	
.copyright-bar a {display: block;margin-bottom: 15px;}
.copyright-bar span {display: none;}
}

/*Small*/

@media (max-width: 1199px) {
	
main {font-size: 1rem !important;}
#primary-menu a, .mobile-menu {font-size: 1.1rem !important;}
h1, h2.h1-start {font-size: 1.5rem;}
h2, h2.widget-title {font-size: 1.2rem;}
h3, h4 {font-size: 1.2rem;}
.widget_categories a, .sidebar-link a {font-size: 1.1rem;}
	
.page-header {margin-bottom: 20px;}
	
#primary, #right-sidebar {
	float: none;
	width: 100%;}
	
div.nav-previous {margin-bottom: 30px;}
.nav-links a, .nav-links span {display: inline-block;}	
.nav-links a.prev, .nav-links a.page-numbers, .nav-links span {margin-right: 15px;margin-bottom: 20px;}
span.page-numbers.current, #main span.page-numbers.current:hover {
    background: #fff;
    color: #000;}
.pagination a, .pagination span, .page-numbers {
    transition: all .2s ease-in-out;
    color: #000;
    background: #fff;
    padding: 6px 15px;
    border: 1px solid #000;}

}

/* Medium */
@media screen and (min-width:1200px) and (max-width:1499px) {
	
.col-30, .col-40, .col-60, .col-70 {flex: 0 1 50%;}
.col-80 {flex: 0 1 60%;}
.col-20 {flex: 0 1 40%;}
	
#primary-menu a {font-size: 1.3rem;} 
body {font-size: 1.1rem !important;}
h1, h2.h1-start {font-size: 1.6rem;}
h2, h2.widget-title {font-size: 1.4rem;}
h3, h4, h5 {font-size: 1.3rem;}
.widget_categories a, .sidebar-link a {font-size: 1.2rem;}
	
.inside-header {padding: 12px 0px 12px 0px;}
.logo img {width: 140px;}
.site-branding {margin: 35px 0 0 50px;}
.site-branding .main-title {font-size: 1.8rem;}	
p.site-description {font-size: 1.2rem;}
	
.cta-header {top: 20px; right: 0;}
.cta-header a {padding: 5px 10px;font-size: 1.1rem;}
	
.page-header {margin-bottom: 20px;}
.one-container .sidebar, .page .sidebar {margin-top: 52px;}

}

/*Large*/

@media (min-width: 1500px) {
	
#primary-menu a {font-size: 1.3rem;} 
body {font-size: 1.2rem;}
h1, h2.h1-start {font-size: 1.8rem;}
h2, h2.widget-title {font-size: 1.4rem;}
h3, h4, h5 {font-size: 1.2rem;}
.widget_categories a, .sidebar-link a {font-size: 1.3rem;}
	
.inside-header {padding: 15px 0px 15px 0px;}
.logo img {width: 160px;}
.site-branding {margin: 45px 0 0 50px;}
.site-branding .main-title {font-size: 2.1rem;}	
p.site-description {font-size: 1.4rem;}
	
.cta-header {top: 20px; right: 0;}
.cta-header a {padding: 5px 15px;font-size: 1.1rem;}

.one-container .sidebar, .page .sidebar {margin-top: 65px;}
	
}

/*Hi DPI*/

@media
  screen and (-webkit-min-device-pixel-ratio: 2) and (min-width:800px),
  screen and (min-resolution: 192dpi) and (min-width:800px),
  screen and (min-resolution: 2dppx) and (min-width:800px) {

.testimage {background-image: url(../../grafik/alt-garge-large@2x.jpg);}	  

}

@media print {
.search-item, .menu-toggle, .site-info, .no-print, .mobile-menu, #site-navigation, p.cta, #sticky-navigation, #right-sidebar, .paging-navigation, .slides, .cta-header, .menu-toggle, .post-navigation {display: none;}
.sticky-enabled .main-navigation.is_stuck {height: 0;box-shadow: none;}
body, a {color: #000 !important;}
#content img {max-width: 400px;}
.home #content img {max-width: 250px;}
.home .post-image {width: 250px;}
}

/*IE11*/

_:-ms-fullscreen,
:root div.metaslider {
    display: none;
}

_:-ms-fullscreen,
:root .h1-start {
    padding-top: 30px;
}